com.ibm.openpages.api.resource

## Interface IResourceFactory

-     public interface IResourceFactory

  Represents a resource factory.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IGRCObject` | `createAutoNamedGRCObject(ITypeDefinition typeDefinition)` Creates an automatically named instance of the IGRCObject interface to be persisted in the system.
    `IDocument` | `createDocument(java.lang.String name, ITypeDefinition typeDefinition, IFileTypeDefinition fileTypeDefinition)` Creates a new instance of the IDocument interface to be persisted in the system.
    `IFolder` | `createFolder(java.lang.String name, IFolder parentFolder)` Creates a new instance of the IFolder interface to be persisted in the system.
    `IGRCObject` | `createGRCObject(java.lang.String name, ITypeDefinition typeDefinition)` Creates a new instance of the IGRCObject interface to be persisted in the system.

- - ### Method Detail

    - #### createFolder

          IFolder createFolder(java.lang.String name,
                               IFolder parentFolder)

      Creates a new instance of the IFolder interface to be persisted in the system.
      Parameters:
        `name` - the name of the folder
        `parentFolder` - the parent folder
      Returns:
        a new instance of the IFolder interface to be persisted in the system

    - #### createGRCObject

          IGRCObject createGRCObject(java.lang.String name,
                                     ITypeDefinition typeDefinition)

      Creates a new instance of the IGRCObject interface to be persisted in the system.
      Parameters:
        `name` - the name of the document
        `typeDefinition` - the type GRC object
      Returns:
        a new instance of the IGRCObject interface to be persisted in the system

    - #### createAutoNamedGRCObject

          IGRCObject createAutoNamedGRCObject(ITypeDefinition typeDefinition)

      Creates an automatically named instance of the IGRCObject interface to be persisted in the system. The type definition needs to be configured as auto-named for the creation process to succeed.
      Parameters:
        `typeDefinition` - the type GRC object
      Returns:
        a new instance of the IGRCObject interface to be persisted in the system

    - #### createDocument

          IDocument createDocument(java.lang.String name,
                                   ITypeDefinition typeDefinition,
                                   IFileTypeDefinition fileTypeDefinition)

      Creates a new instance of the IDocument interface to be persisted in the system.
      Parameters:
        `name` - the name of the document
        `typeDefinition` - the type document
        `fileTypeDefintion` - the file type definition
      Returns:
        a new instance of the IDocument interface to be persisted in the system

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.